/*
	Word Twiddle
	JavaScript game engine
	Version 0.9
	Copyright 2011 by Andrew Krywaniuk
	
	License is hereby granted to freely distribute this game for personal and non-commercial use.
	For other uses, please contact the author.
*/



function close_modal_dlg()
{
	var x_dv = document.getElementById("modal_mask");
	if (x_dv)
	{	
		document.body.removeChild(x_dv);
	}
	
	var f_dv = document.getElementById("modal_frame_container");
	if (f_dv)
	{	
		document.body.removeChild(f_dv);
	}
}


function load_modal_dlg(url)
{
	//<center></center>
	var txt = '<div id="modal_frame" class="modal_frame"><iframe class="modal_iframe" src="'
			+ url + '"></iframe><input type="button" id="close_btn" class="close_button" onclick="close_modal_dlg()" value="x"></input></div>';
			
	var x_dv = document.createElement("div");
	x_dv.id = "modal_mask";
	x_dv.className = "modal_mask";
	x_dv.innerHTML = "&nbsp;";
	document.body.appendChild(x_dv);	

	var f_dv = document.createElement("div");
	f_dv.id = "modal_frame_container";
	f_dv.className = "modal_frame_container";
	// Need to apply some styles here rather than by CSS so they won't be inherited.
	f_dv.style.width = "70%";
	f_dv.style.height = "70%";
	f_dv.innerHTML = txt;
	document.body.appendChild(f_dv);
	
	window.setTimeout(realign_close_button, 1);
}


function realign_close_button()
{
	var btn = $("close_btn");
	var frm = $("modal_frame");
	var m_fudge = 2; // compensate for padding
	
dbg_msg("frm.offsetLeft = " + frm.offsetLeft);
dbg_msg("frm.offsetWidth = " + frm.offsetWidth);
dbg_msg("frm.offsetTop = " + btn.offsetTop);
dbg_msg("btn.offsetLeft = " + btn.offsetLeft);
dbg_msg("btn.offsetWidth = " + btn.offsetWidth);
dbg_msg("btn.offsetTop = " + btn.offsetTop);
	btn.style.left = "" + (frm.offsetLeft + frm.offsetWidth - btn.offsetWidth - 2*m_fudge) + "px";
	btn.style.top = "" + (frm.offsetTop - m_fudge) + "px";
dbg_msg("new btn.offsetLeft = " + btn.offsetLeft);
dbg_msg("new btn.offsetTop = " + btn.offsetTop);
}


function load_stats_dlg()
{
	load_modal_dlg("stats.html");
}

function load_config_dlg()
{
	load_modal_dlg("config.html");
}

